From aedc63d2ac81c98dbc03c41435d0d2ac82a6a87d Mon Sep 17 00:00:00 2001
From: Stefan Kangas <stefankangas@gmail.com>
Date: Thu, 11 Jul 2019 05:51:18 +0200
Subject: [PATCH] Use "python -m pdb" when "pdb" is missing in M-x pdb

* lisp/progmodes/gud.el (gud-pdb-command-name): Use "python -m pdb"
when the "pdb" command is missing.  (Bug#21521)
---
 lisp/progmodes/gud.el | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/lisp/progmodes/gud.el b/lisp/progmodes/gud.el
index 6b152b7b90..a567508416 100644
--- a/lisp/progmodes/gud.el
+++ b/lisp/progmodes/gud.el
@@ -1673,7 +1673,8 @@ gud-pdb-marker-filter
 
     output))
 
-(defcustom gud-pdb-command-name "pdb"
+(defcustom gud-pdb-command-name
+  (if (executable-find "pdb") "pdb" "python -m pdb")
   "File name for executing the Python debugger.
 This should be an executable on your path, or an absolute file name."
   :type 'string
-- 
2.21.0

